Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225727 - Merge Review: emacspeak
Summary: Merge Review: emacspeak
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:32 UTC by Nobody's working on this, feel free to take it
Modified: 2013-11-12 08:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-12 08:22:35 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 18:32:58 UTC
Fedora Merge Review: emacspeak

http://cvs.fedora.redhat.com/viewcvs/devel/emacspeak/
Initial Owner: petersen@redhat.com

Comment 1 Parag AN(पराग) 2012-12-11 09:24:01 UTC
Issues:
=======
[!]: Header files in -devel subpackage, if present.
     Note: emacspeak-36.0-2.fc18.noarch.rpm : /usr/share/emacs/site-
     lisp/emacspeak/servers/linux-outloud/langswitch.h
See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

[!]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: These BR are not needed: findutils
See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

[!]: Package contains the mandatory BuildRequires and Reguires:.
     Note: Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo
     $version)) missing?

[!]: Spec use %global instead of %define.
     Note: %define __perl_requires %{SOURCE10}

[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source10 (filter-deps.sh)



Rpmlint
-------
Checking: emacspeak-36.0-2.fc18.src.rpm
          emacspeak-36.0-2.fc18.noarch.rpm
emacspeak.src: W: invalid-url URL: http://emacspeak.sourceforge.net/ <urlopen error timed out>
emacspeak.src: W: strange-permission filter-deps.sh 0775L
emacspeak.src:145: W: macro-in-%changelog %{_bindir}
emacspeak.src: W: invalid-url Source0: http://emacspeak.googlecode.com/files/emacspeak-36.0.tar.bz2 HTTP Error 404: Not Found
emacspeak.noarch: W: invalid-url URL: http://emacspeak.sourceforge.net/ <urlopen error timed out>
emacspeak.noarch: W: spurious-executable-perm /usr/share/doc/emacspeak-36.0/HELP
emacspeak.noarch: W: devel-file-in-non-devel-package /usr/share/emacs/site-lisp/emacspeak/servers/linux-outloud/atcleci.cpp
emacspeak.noarch: W: spurious-executable-perm /usr/share/emacs/site-lisp/emacspeak/servers/linux-outloud/atcleci.cpp
emacspeak.noarch: E: incorrect-fsf-address /usr/share/emacs/site-lisp/emacspeak/lisp/xml-parse.el
emacspeak.noarch: W: hidden-file-or-dir /usr/share/emacs/site-lisp/emacspeak/servers/.servers
emacspeak.noarch: E: script-without-shebang /usr/share/emacs/site-lisp/emacspeak/servers/.servers
emacspeak.noarch: E: non-executable-script /usr/share/emacs/site-lisp/emacspeak/lisp/g-client/python/contacts.py 0644L /usr/bin/python
emacspeak.noarch: W: devel-file-in-non-devel-package /usr/share/emacs/site-lisp/emacspeak/servers/linux-outloud/langswitch.cpp
emacspeak.noarch: W: spurious-executable-perm /usr/share/emacs/site-lisp/emacspeak/servers/linux-outloud/langswitch.cpp
emacspeak.noarch: E: incorrect-fsf-address /usr/share/emacs/site-lisp/emacspeak/lisp/cd-tool.el
emacspeak.noarch: E: incorrect-fsf-address /usr/share/emacs/site-lisp/emacspeak/lisp/g-client/org2blogger.el
emacspeak.noarch: E: script-without-shebang /usr/share/emacs/site-lisp/emacspeak/servers/linux-outloud/VIAVOICE
emacspeak.noarch: E: script-without-shebang /usr/share/emacs/site-lisp/emacspeak/servers/tts-lib.tcl
emacspeak.noarch: E: incorrect-fsf-address /usr/share/emacs/site-lisp/emacspeak/lisp/amixer.el
emacspeak.noarch: E: script-without-shebang /usr/share/emacs/site-lisp/emacspeak/servers/software-dtk/DTK
emacspeak.noarch: E: incorrect-fsf-address /usr/share/emacs/site-lisp/emacspeak/lisp/tapestry.el
emacspeak.noarch: E: script-without-shebang /usr/share/emacs/site-lisp/emacspeak/servers/linux-outloud/eci.ini
emacspeak.noarch: W: devel-file-in-non-devel-package /usr/share/emacs/site-lisp/emacspeak/servers/software-dtk/tcldtk.c
emacspeak.noarch: W: spurious-executable-perm /usr/share/emacs/site-lisp/emacspeak/servers/software-dtk/tcldtk.c
emacspeak.noarch: E: incorrect-fsf-address /usr/share/emacs/site-lisp/emacspeak/servers/software-dtk/tcldtk.c
emacspeak.noarch: W: devel-file-in-non-devel-package /usr/share/emacs/site-lisp/emacspeak/servers/linux-outloud/langswitch.h
emacspeak.noarch: W: spurious-executable-perm /usr/share/emacs/site-lisp/emacspeak/servers/linux-outloud/langswitch.h
emacspeak.noarch: W: devel-file-in-non-devel-package /usr/share/emacs/site-lisp/emacspeak/servers/linux-outloud/langswitch.cpp
emacspeak.noarch: W: spurious-executable-perm /usr/share/emacs/site-lisp/emacspeak/servers/linux-outloud/langswitch.cpp
emacspeak.noarch: E: incorrect-fsf-address /usr/share/emacs/site-lisp/emacspeak/lisp/cd-tool.el
emacspeak.noarch: E: incorrect-fsf-address /usr/share/emacs/site-lisp/emacspeak/lisp/g-client/org2blogger.el
emacspeak.noarch: E: script-without-shebang /usr/share/emacs/site-lisp/emacspeak/servers/linux-outloud/VIAVOICE
emacspeak.noarch: E: script-without-shebang /usr/share/emacs/site-lisp/emacspeak/servers/tts-lib.tcl
emacspeak.noarch: E: incorrect-fsf-address /usr/share/emacs/site-lisp/emacspeak/lisp/amixer.el
emacspeak.noarch: E: script-without-shebang /usr/share/emacs/site-lisp/emacspeak/servers/software-dtk/DTK
emacspeak.noarch: E: incorrect-fsf-address /usr/share/emacs/site-lisp/emacspeak/lisp/tapestry.el
emacspeak.noarch: E: script-without-shebang /usr/share/emacs/site-lisp/emacspeak/servers/linux-outloud/eci.ini
emacspeak.noarch: W: devel-file-in-non-devel-package /usr/share/emacs/site-lisp/emacspeak/servers/software-dtk/tcldtk.c
emacspeak.noarch: W: spurious-executable-perm /usr/share/emacs/site-lisp/emacspeak/servers/software-dtk/tcldtk.c
emacspeak.noarch: E: incorrect-fsf-address /usr/share/emacs/site-lisp/emacspeak/servers/software-dtk/tcldtk.c
emacspeak.noarch: W: devel-file-in-non-devel-package /usr/share/emacs/site-lisp/emacspeak/servers/linux-outloud/langswitch.h
emacspeak.noarch: W: spurious-executable-perm /usr/share/emacs/site-lisp/emacspeak/servers/linux-outloud/langswitch.h
emacspeak.noarch: E: script-without-shebang /usr/share/emacs/site-lisp/emacspeak/servers/software-dtk/Makefile
emacspeak.noarch: W: spurious-executable-perm /usr/share/doc/emacspeak-36.0/FAQ
emacspeak.noarch: W: spurious-executable-perm /usr/share/doc/emacspeak-36.0/COPYRIGHT
emacspeak.noarch: W: devel-file-in-non-devel-package /usr/share/emacs/site-lisp/emacspeak/servers/linux-outloud/new-atcleci.cpp
emacspeak.noarch: W: spurious-executable-perm /usr/share/emacs/site-lisp/emacspeak/servers/linux-outloud/new-atcleci.cpp
emacspeak.noarch: W: devel-file-in-non-devel-package /usr/share/emacs/site-lisp/emacspeak/servers/linux-espeak/tclespeak.cpp
emacspeak.noarch: W: spurious-executable-perm /usr/share/emacs/site-lisp/emacspeak/servers/linux-espeak/tclespeak.cpp
emacspeak.noarch: W: spurious-executable-perm /usr/share/doc/emacspeak-36.0/NEWS-35.0
emacspeak.noarch: E: zero-length /usr/share/emacs/site-lisp/emacspeak/etc/tips.html
emacspeak.noarch: E: script-without-shebang /usr/share/emacs/site-lisp/emacspeak/servers/linux-espeak/Makefile
emacspeak.noarch: E: script-without-shebang /usr/share/emacs/site-lisp/emacspeak/servers/python/speaker.py
emacspeak.noarch: E: zero-length /usr/share/doc/emacspeak-36.0/tips.html
emacspeak.noarch: E: non-executable-script /usr/share/emacs/site-lisp/emacspeak/servers/python/test-client.py 0644L /usr/bin/python
emacspeak.noarch: E: script-without-shebang /usr/share/emacs/site-lisp/emacspeak/servers/linux-outloud/ALSA
emacspeak.noarch: W: hidden-file-or-dir /usr/share/emacs/site-lisp/emacspeak/sounds/chimes-stereo/.nosearch
emacspeak.noarch: E: script-without-shebang /usr/share/emacs/site-lisp/emacspeak/servers/linux-outloud/Makefile
emacspeak.noarch: W: hidden-file-or-dir /usr/share/emacs/site-lisp/emacspeak/sounds/cartoon-22k-mono/.nosearch
emacspeak.noarch: E: script-without-shebang /usr/share/emacs/site-lisp/emacspeak/servers/linux-outloud/asoundrc
emacspeak.noarch: W: hidden-file-or-dir /usr/share/emacs/site-lisp/emacspeak/sounds/default-8k/.nosearch
emacspeak.noarch: W: spurious-executable-perm /usr/share/doc/emacspeak-36.0/NEWS
emacspeak.noarch: W: file-not-utf8 /usr/share/info/emacspeak.info-1.gz
emacspeak.noarch: W: no-manual-page-for-binary emacspeak
2 packages and 0 specfiles checked; 21 errors, 28 warnings.


Please fix above messages.

Comment 2 Parag AN(पराग) 2012-12-11 09:26:49 UTC
Please add comments for patches whether there is any upstream bugzilla for it

you may also want to follow
a) %clean section
b) removal of buildroot from %install

Use parallel make

preserve timestamp in make install command

Comment 3 Parag AN(पराग) 2013-02-05 13:11:20 UTC
ping any updates here?

Comment 4 Parag AN(पराग) 2013-10-22 08:49:59 UTC
No updates to this review... I am removing myself from this review.

Comment 5 Jens Petersen 2013-10-23 01:10:12 UTC
Ah sorry I forgot to update here - this bug seems to have been
off my radar - in fact I would appreciate a new owner for this package...

Anyway latest package is:

Spec: http://pkgs.fedoraproject.org/cgit/emacspeak.git/plain/emacspeak.spec
Srpm: http://download.fedoraproject.org/pub/fedora/linux/development/rawhide/source/SRPMS/e/emacspeak-38.0-3.fc20.src.rpm

Comment 6 Jens Petersen 2013-10-24 05:55:16 UTC
I did some more cleanup and made espeak the default backend.
So it even works now! ;o)

Spec: http://pkgs.fedoraproject.org/cgit/emacspeak.git/plain/emacspeak.spec
Srpm: http://download.fedoraproject.org/pub/fedora/linux/development/rawhide/source/SRPMS/e/emacspeak-38.0-5.fc20.src.rpm

(please wait a day or so for srpm to appear in rawhide and mirrors)

Comment 7 Jens Petersen 2013-10-24 06:08:32 UTC
emacspeak.src: W: strange-permission emacspeak-filter-deps.sh 0775L
emacspeak.src: W: strange-permission emacspeak-38.0.tar.bz2 0444L
emacspeak.src:66: E: hardcoded-library-path in %{_prefix}/lib
emacspeak.src:102: E: hardcoded-library-path in %{_prefix}/lib/emacspeak
emacspeak.src: W: invalid-url Source0: http://emacspeak.googlecode.com/files/emacspeak-38.0.tar.bz2 HTTP Error 404: Not Found
1 packages and 0 specfiles checked; 2 errors, 3 warnings.

Added a tcl module for espeak which currently lives under /usr/lib.
I suppose it could be move to _libdir but emacspeak is not multilib anyway.

emacspeak.x86_64: E: incorrect-fsf-address /usr/share/emacs/site-lisp/emacspeak/lisp/xml-parse.el
emacspeak.x86_64: W: hidden-file-or-dir /usr/share/emacs/site-lisp/emacspeak/servers/.servers
emacspeak.x86_64: E: incorrect-fsf-address /usr/share/emacs/site-lisp/emacspeak/lisp/cd-tool.el
emacspeak.x86_64: E: incorrect-fsf-address /usr/share/emacs/site-lisp/emacspeak/lisp/g-client/org2blogger.el
emacspeak.x86_64: E: incorrect-fsf-address /usr/share/emacs/site-lisp/emacspeak/lisp/amixer.el
emacspeak.x86_64: E: incorrect-fsf-address /usr/share/emacs/site-lisp/emacspeak/lisp/tapestry.el
emacspeak.x86_64: W: no-manual-page-for-binary emacspeak
1 packages and 0 specfiles checked; 5 errors, 2 warnings.

I will send a patch upstream to update the remaining FSF addresses.

Comment 8 Jens Petersen 2013-10-25 03:40:25 UTC
(In reply to Jens Petersen from comment #7)
> emacspeak.x86_64: E: incorrect-fsf-address
> /usr/share/emacs/site-lisp/emacspeak/lisp/xml-parse.el
:
> emacspeak.x86_64: E: incorrect-fsf-address
> /usr/share/emacs/site-lisp/emacspeak/lisp/cd-tool.el
> emacspeak.x86_64: E: incorrect-fsf-address
> /usr/share/emacs/site-lisp/emacspeak/lisp/g-client/org2blogger.el
> emacspeak.x86_64: E: incorrect-fsf-address
> /usr/share/emacs/site-lisp/emacspeak/lisp/amixer.el
> emacspeak.x86_64: E: incorrect-fsf-address
> /usr/share/emacs/site-lisp/emacspeak/lisp/tapestry.el
:
> I will send a patch upstream to update the remaining FSF addresses.

Reported in https://code.google.com/p/emacspeak/issues/detail?id=8
and included in:

Spec: http://pkgs.fedoraproject.org/cgit/emacspeak.git/plain/emacspeak.spec
Srpm: http://download.fedoraproject.org/pub/fedora/linux/development/rawhide/source/SRPMS/e/emacspeak-38.0-6.fc20.src.rpm (in next rawhide push)

Comment 9 Parag AN(पराग) 2013-10-27 13:35:01 UTC
Thanks for the update in master. I just looked at it again.

rpmlint on rpms gave
emacspeak.src: W: strange-permission emacspeak-filter-deps.sh 0775L
emacspeak.src:68: E: hardcoded-library-path in %{_prefix}/lib
emacspeak.src:104: E: hardcoded-library-path in %{_prefix}/lib/emacspeak
emacspeak.src: W: invalid-url Source0: http://emacspeak.googlecode.com/files/emacspeak-38.0.tar.bz2 HTTP Error 404: Not Found
1 packages and 0 specfiles checked; 2 errors, 2 warnings.

==> Looks ok now

suggestions
1) build.log showed
+ make -C servers/linux-espeak
make: Entering directory `/builddir/build/BUILD/emacspeak-38.0/servers/linux-espeak'
g++ -g    -O2 -fPIC  -DPIC  -pedantic -ansi -Wall -Wno-long-long   -c -o tclespeak.o tclespeak.cpp

=> compiler flags should be used honored by using
make CFLAGS="%{optflags}" -C servers/linux-espeak

2) you can also separate lisp files in new subpackage, but the current package looks good now.

Comment 10 Jens Petersen 2013-11-12 05:40:27 UTC
> suggestions
:
> => compiler flags should be used honored by using
> make CFLAGS="%{optflags}" -C servers/linux-espeak

Thanks this should be fixed in emacspeak-38.0-7.fc21
which is building now in koji.

> 2) you can also separate lisp files in new subpackage, but the current
> package looks good now.

Okay I may defer this to later since it seems not that important
and I don't think other elisp packages will depend on emacspeak.

Comment 12 Parag AN(पराग) 2013-11-12 08:22:35 UTC
Looks good now.
APPROVED.


Note You need to log in before you can comment on or make changes to this bug.